Subject: [PATCH] can: flexcan: add 2nd clock to support imx53 and newer

From: [email-masked] (Sascha Hauer)
Date: Wed, 18 Jul 2012 10:49:44 +0200

On Wed, Jul 18, 2012 at 10:37:22AM +0200, Marc Kleine-Budde wrote:
> 
> Yes, good catch.
> 
> Is it allowed to call clk_put with a NULL pointer?

As NULL is a valid clock by definition it is allowed to do this.
However, calling clk_put with a NULL pointer when a corresponding
call to clk_get never returned NULL is probably not a good idea.

Sascha

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |